function doEngineWork(engineDivId, parentComboId, languageName)
{
    var parentCombo = document.getElementById(parentComboId);
    if (parentCombo) {
        httpObject = getHTTPObject();
        if (httpObject != null) {
            var url = "../../../../Ajax/EngineMasterDetailAjax.aspx?masterItemId=" + parentCombo.value + "&languageName=" + languageName;
            httpObject.open("GET", url, true);
            httpObject.onreadystatechange = function() {
            if (httpObject.readyState == (1 || 0)) {
                jQuery("#ajaxStatementInfo").show();
                jQuery("#ajaxStatementInfo").html("<img src=\"../../../Content/images/ajax-loader.gif\" alt=\"loading\">");
            }
            if (httpObject.readyState == 4) {
                jQuery("#ajaxStatementInfo").show();
                jQuery("#ajaxStatementInfo").css('float', 'right');
                jQuery("#ajaxStatementInfo").css('width', '600px');
                jQuery("#ajaxStatementInfo").css('margin-top', '22px');
                jQuery("#ajaxStatementInfo").html(getTranslation("ajaxSelectEngine", languageName));
                    jQuery("#" + engineDivId).html(httpObject.responseText);
                } //if state
            } //func
            httpObject.send(null);
        } //if
    }   //if  	   
}